image: node:latest

stages:
  - deploy

deploy:
  stage: deploy
  script:
    - npm install --global vercel
    - vercel pull --yes --environment=production --token=$VERCEL_TOKEN  # Assuming you want to deploy to production, remove preview
    - vercel build --token=$VERCEL_TOKEN
    - vercel deploy --prebuilt --token=$VERCEL_TOKEN
